Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.server
Class P2PPlugin

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.jxml.qare.qhome.server.QHome
                        |
                        +--com.jxml.qare.qhome.server.P2PPlugin

All Implemented Interfaces:
  QAppPlugin, Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  QServlet

public abstract class P2PPlugin
extends QHome

See Also:
  Serialized Form

Field Summary
`static InstallEventRepository` | `installEventRepository`

Fields inherited from class com.jxml.qare.qhome.server.QHome
`mailSender`

Constructor Summary
`P2PPlugin()`

Method Summary
`void` | `appInit()` Invoked when a servlet is loaded, after install and DBAppDAta.purgePeerDeleted.
`void` | `destroy()`
`void` | `init(ServletConfig config)`
`void` | `install()` Invoked only once the first time the servlet is loaded.
`DBAccount.Row` | `p2pAccount()`
`DBUser.Row` | `p2pUser()`
`abstract String` | `warFileName()` Returns the war file name identifying the application.

Methods inherited from class com.jxml.qare.qhome.server.QHome
`accountSetup, doGet, doOtherPost, doPost, error, getApplication, getApplication, getClassLoader, getPlugin, packageName, process, validLogin`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### installEventRepository

    public static final InstallEventRepository installEventRepository

Constructor Detail

### P2PPlugin

    public P2PPlugin()

Method Detail

### warFileName

    public abstract String warFileName()

  Returns the war file name identifying the application. This method is implemented by the application's QServlet class.

### install

    public void install()
                 throws Exception

  Invoked only once the first time the servlet is loaded.

### appInit

    public void appInit()
                 throws Exception

  Invoked when a servlet is loaded, after install and DBAppDAta.purgePeerDeleted. This method is optionally overridden by the application's QServlet class.

### init

    public final void init(ServletConfig config)
                    throws ServletException

  Overrides:
    `init` in class `QHome`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `QHome`

### p2pUser

    public final DBUser.Row p2pUser()
                             throws Exception

### p2pAccount

    public final DBAccount.Row p2pAccount()
                                   throws Exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD